import { NodeOptions } from '@highlight-run/node';
export { b as H, c as Highlight } from './withHighlight-fe21762b.js';
import { NextConfig } from 'next';
import 'http';

declare function registerHighlight(nodeOptions: NodeOptions): Promise<void>;

interface HighlightConfigOptions {
    uploadSourceMaps?: boolean;
    configureHighlightProxy?: boolean;
    apiKey?: string;
    appVersion?: string;
    sourceMapsPath?: string;
    sourceMapsBasePath?: string;
}
type NextConfigObject = NextConfig;
type NextConfigFunction = (phase: string, { defaultConfig }: {
    defaultConfig: any;
}) => NextConfig;
type NextConfigAsyncFunction = (phase: string, { defaultConfig }: {
    defaultConfig: any;
}) => Promise<NextConfig>;
type NextConfigInput = NextConfigObject | NextConfigFunction | NextConfigAsyncFunction;
declare const withHighlightConfig: (config: NextConfigInput, highlightOpts?: HighlightConfigOptions) => Promise<NextConfig>;

export { registerHighlight, withHighlightConfig };
